"use strict";

exports.__esModule = true;
exports.hasTheme = hasTheme;
exports.transformWithConfig = transformWithConfig;
exports.determineTheme = void 0;

var _utils = require("@chakra-ui/utils");

function hasTheme(props) {
  return Boolean((0, _utils.isObject)(props) && props.theme);
}

var determineTheme = function determineTheme(props) {
  return hasTheme(props) ? props.theme : props;
};

exports.determineTheme = determineTheme;

function transformWithConfig(theme, value, config) {
  if (!config) return value;
  var scale = (0, _utils.get)(theme, config.scale, config.fallbackScale);

  if (config.transform) {
    return config.transform(value, scale);
  }

  return (0, _utils.getWithDefault)(value, scale);
}
//# sourceMappingURL=css.utils.js.map